Bug 186665 - [69cat] CLIOptions2$EQStuck: GUI is not responsive
[69cat] CLIOptions2$EQStuck: GUI is not responsive
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Logger
6.x
PC Windows XP
: P3 (vote)
: 7.2
Assigned To: Martin Entlicher
logger-issues@ide
: PERFORMANCE, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 13:07 UTC by javydreamercsw
Modified: 2012-02-01 12:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description javydreamercsw 2010-05-25 13:07:33 UTC
[ BUILD # : 201005192201 ]
[ JDK VERSION : 1.6.20 ]



org.netbeans.core.CLIOptions2$EQStuck: GUI is not responsive
	at java.lang.Object.wait(Native Method)
	at org.openide.util.Task.waitFinished(Task.java:161)
	at
org.openide.util.RequestProcessor$Task.waitFinished(RequestProcessor.java:1711)

	at org.netbeans.modules.uihandler.UIHandler.waitFlushed(UIHandler.java:150)
	at org.netbeans.modules.uihandler.Installer.getLogsSize(Installer.java:673)
	at
org.netbeans.modules.uihandler.api.Controller.getLogRecordsCount(Controller.java
:81)
	at
org.netbeans.modules.uihandler.interactive.SubmitAction$NrButton.setIcon(SubmitA
ction.java:174)
	at org.openide.awt.Actions$ButtonBridge.updateButtonIcon(Actions.java:879)
	at org.openide.awt.Actions$ButtonBridge.updateState(Actions.java:994)
	at org.openide.awt.Actions.connect(Actions.java:247)
	at
org.netbeans.modules.uihandler.interactive.SubmitAction$NrButton.<init>(SubmitAc
tion.java:108)
	at
org.netbeans.modules.uihandler.interactive.SubmitAction.getToolbarPresenter(Subm
itAction.java:96)
	at org.openide.awt.Toolbar$Folder.createInstance(Toolbar.java:418)
	at
org.openide.loaders.FolderInstance.defaultProcessObjectsFinal(FolderInstance.jav
a:873)
	at org.openide.loaders.FolderInstance$1R.run(FolderInstance.java:738)
	at org.openide.util.Task.run(Task.java:248)
	at org.netbeans.modules.openide.loaders.AWTTask.run(AWTTask.java:73)
[catch] at
org.netbeans.modules.openide.loaders.AWTTask$Processor.run(AWTTask.java:114)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at
org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:137)
	at
java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269
)
	at
java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174
)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 1 Peter Pis 2010-05-26 10:48:13 UTC
Reassigning.
Comment 2 RichardS 2010-09-17 08:48:50 UTC
i got the same error, netbens don't start and in the message.og (WindowsXP), this is the last entry.

WARNING [org.netbeans.core.CLIOptions2]
org.netbeans.core.CLIOptions2$EQStuck: GUI is not responsive
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:247)
	at org.netbeans.modules.tasklist.trampoline.Accessor.<clinit>(Accessor.java:72)
	at org.netbeans.modules.tasklist.impl.Accessor.getEmptyScope(Accessor.java:149)
	at org.netbeans.modules.tasklist.impl.TaskManagerImpl.<init>(TaskManagerImpl.java:87)
	at org.netbeans.modules.tasklist.impl.TaskManagerImpl.getInstance(TaskManagerImpl.java:101)
	at org.netbeans.modules.tasklist.ui.TaskListTopComponent.<init>(TaskListTopComponent.java:108)
	at org.netbeans.modules.tasklist.ui.TaskListTopComponent.getDefault(TaskListTopComponent.java:232)
	at org.netbeans.modules.tasklist.ui.TaskListTopComponent$ResolvableHelper.readResolve(TaskListTopComponent.java:561)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
	at java.lang.reflect.Method.invoke(Method.java:597)
	at java.io.ObjectStreamClass.invokeReadResolve(ObjectStreamClass.java:1061)
	at java.io.ObjectInputStream.readOrdinaryObject(ObjectInputStream.java:1762)
	at java.io.ObjectInputStream.readObject0(ObjectInputStream.java:1329)
	at java.io.ObjectInputStream.readObject(ObjectInputStream.java:351)
	at org.netbeans.modules.settings.convertors.XMLSettingsSupport$SettingsRecognizer.readSerial(XMLSettingsSupport.java:547)
	at org.netbeans.modules.settings.convertors.XMLSettingsSupport$SettingsRecognizer.instanceCreate(XMLSettingsSupport.java:579)
	at org.netbeans.modules.settings.convertors.SerialDataConvertor$SettingsInstance.instanceCreate(SerialDataConvertor.java:423)
	at org.netbeans.core.windows.persistence.PersistenceManager.getTopComponentPersistentForID(PersistenceManager.java:533)
	at org.netbeans.core.windows.persistence.PersistenceManager.getTopComponentForID(PersistenceManager.java:643)
	at org.netbeans.core.windows.PersistenceHandler.getTopComponentForID(PersistenceHandler.java:460)
	at org.netbeans.core.windows.PersistenceHandler.load(PersistenceHandler.java:148)
	at org.netbeans.core.windows.WindowSystemImpl.load(WindowSystemImpl.java:73)
	at org.netbeans.core.GuiRunLevel$2.run(GuiRunLevel.java:181)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:137)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
[catch] at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Comment 3 Antonin Nebuzelsky 2010-10-01 14:14:09 UTC
> netbeans don't start and in the message.log (WindowsXP), this is
> the last entry.
>
> WARNING [org.netbeans.core.CLIOptions2]
> org.netbeans.core.CLIOptions2$EQStuck: GUI is not responsive

This should not happen?
Comment 4 Jesse Glick 2010-10-01 14:17:29 UTC
From first stack trace, uihandler.interactive.SubmitAction$NrButton.setIcon should not be doing this work in EQ.

Second stack trace, I don't know. For the future, the slowness detector should be used for these things, which gives more informative snapshots than a single stack trace can.
Comment 5 Martin Entlicher 2012-02-01 12:53:19 UTC
Fixed by changeset:   211999:4ab430e029d0
http://hg.netbeans.org/main/rev/4ab430e029d0


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo